package de.mlessmann.certassist.except;

import lombok.Getter;

@Getter
public class UnresolvableCLIDependency extends Exception {

    private final String executableName;
    private final String propertyName;

    public UnresolvableCLIDependency(String executableName, String propertyName) {
        super(
            "Could not resolve executable for '%s'. (Use property '%s' to point the application directly to the executable.)".formatted(
                    executableName,
                    propertyName
                )
        );
        this.executableName = executableName;
        this.propertyName = propertyName;
    }
}
